Unit tml01r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ML01R_p;

function tml01r: String;

implementation

function tml01r: String;
var
_i :Integer;
XK :Array [0..4] of Real;
U :Array [0..24] of Real;
const
A :Array [0..19] of Real = ( 1.0,2.0,1.0,1.0,-4.0,2.0,1.0,2.0,2.0,-5.0,3.0,
5.0,1.0,3.0,-9.0,0.0,0.0,1.0,-1.0,-1.0 );
X :Array [0..4] of Real = ( 15.0,20.0,10.0,0.0,-45.0 );
NB :Array [0..4] of Integer = ( 0,0,0,0,0 );
P :Integer = 1;
M :Integer = 5;
N :Integer = 4;
EPS :Real = 0.01;
begin
Result := '';  {   }
ML01R(A,M,U,N,X,NB,P,EPS,XK);
Result := Result + Format('%s',[' P=']);
Result := Result + Format('%3d ',[P]);
Result := Result + Format('%s',[#$0D#$0A + ' X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' NB=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%6d ',[NB[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tml01r',Result);  {     tml01r.res }
exit;
end;

end.
